Data Structures | Defines | Typedefs | Variables

# station_base.h File Reference

Base classes/functions for stations. More...

`#include "base_station_base.h"`
`#include "newgrf_airport.h"`
`#include "cargopacket.h"`
`#include "industry_type.h"`
`#include "newgrf_storage.h"`

Go to the source code of this file.

## Data Structures
struct | GoodsEntry
| Stores station stats for a single cargo. More...
struct | Airport
| All airport-related information. More...
struct | Station
| Station data structure. More...
class | AirportTileIterator
| Iterator to iterate over all tiles belonging to an airport. More...
## Defines
#define | FOR_ALL_STATIONS(var) FOR_ALL_BASE_STATIONS_OF_TYPE(Station, var)
## Typedefs
typedef Pool< BaseStation, StationID, 32, 64000 > | StationPool
typedef SmallVector< Industry *, 2 > | IndustryVector
## Variables
StationPool | _station_pool
| The pool of stations.
static const byte | INITIAL_STATION_RATING = 175

## Detailed Description

Base classes/functions for stations.

Definition in file station_base.h.

## Variable Documentation

StationPool _station_pool

The pool of stations.